PrePlanningTweakData.remastered_levels_create_locations = PrePlanningTweakData._create_locations
PrePlanningTweakData.gallery_v2_init = PrePlanningTweakData.init
	
function PrePlanningTweakData:_create_locations(...)
	PrePlanningTweakData:remastered_levels_create_locations(...)
	
	
	self.locations.framing_frame_v2_3 = deep_clone(self.locations.framing_frame_3)

	-- self.locations.gallery_v2 = deep_clone(self.locations.framing_frame_1)
	self.locations.gallery_v2 = {
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_framingframe1",
		total_budget = 9,
		default_plans = {
			escape_plan = "art_escape_van_undecided"
		},
		start_location = {
			group = "a",
			zoom = 1,
			x = 512,
			y = 512
		},
		{
			texture = "guis/textures/pd2_remastered/pre_planning/gallery_v2_1",
			x2 = 2750,
			rotation = 90,
			map_size = 1,
			map_x = -0.6,
			x1 = -2750,
			map_y = 0,
			name_id = "menu_pp_framing_frame_1_loc_a",
			y2 = 2750,
			y1 = -2750,
			custom_points = {}
		},
		{
			texture = "guis/textures/pd2/pre_planning/framing_frame_1_2",
			x2 = 6300,
			rotation = 90,
			map_size = 1,
			map_x = 0.6,
			x1 = -2700,
			map_y = 0,
			name_id = "menu_pp_framing_frame_1_loc_b",
			y2 = 3700,
			y1 = -5300,
			custom_points = {}
		}
	}
	
	-- self.locations.framing_frame_v2_1 = deep_clone(self.locations.framing_frame_1)
	self.locations.framing_frame_v2_1 = {
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_framingframe1",
		total_budget = 9,
		default_plans = {
			escape_plan = "art_escape_van_undecided"
		},
		start_location = {
			group = "a",
			zoom = 1,
			x = 512,
			y = 512
		},
		{
			texture = "guis/textures/pd2_remastered/pre_planning/gallery_v2_1",
			x2 = 2750,
			rotation = 90,
			map_size = 1,
			map_x = -0.6,
			x1 = -2750,
			map_y = 0,
			name_id = "menu_pp_framing_frame_1_loc_a",
			y2 = 2750,
			y1 = -2750,
			custom_points = {}
		},
		{
			texture = "guis/textures/pd2/pre_planning/framing_frame_1_2",
			x2 = 6300,
			rotation = 90,
			map_size = 1,
			map_x = 0.6,
			x1 = -2700,
			map_y = 0,
			name_id = "menu_pp_framing_frame_1_loc_b",
			y2 = 3700,
			y1 = -5300,
			custom_points = {}
		}
	}

end

function PrePlanningTweakData:init(...)
	PrePlanningTweakData:gallery_v2_init(...)
	
	self.types.art_ladder01 = {
		name_id = "menu_pp_art_ladder01",
		desc_id = "menu_pp_art_ladder01_desc",
		category = "insider_help",
		upgrade_lock = {
			upgrade = "additional_assets",
			category = "player"
		},
		icon = 63,
		post_event = "none",
		prio = 1,
		total = 1,
		budget_cost = 2,
		cost = 1
	}

	self.types.art_donation = {
		name_id = "menu_pp_art_donation",
		desc_id = "menu_pp_art_donation_desc",
		category = "insider_help",
		upgrade_lock = {
			upgrade = "additional_assets",
			category = "player"
		},
		icon = 63,
		total = 1,
		post_event = "gus_preplan_07",
		prio = 1,
		cost = 15000,
		budget_cost = 2
	}
	
	self.types.framing_frame_1_entry_point = {
		name_id = "menu_pp_asset_framing_frame_1_entry_point",
		desc_id = "menu_pp_asset_framing_frame_1_entry_point_desc",
		category = "mission_equipment",
		icon = 41,
		total = 6,
		post_event = "gus_preplan_07",
		prio = 1,
		cost = 15000,
		budget_cost = 1
	}
	
	self.types.art_escape_van_undecided = {
		name_id = "menu_pp_art_escape_van_undecided",
		desc_id = "menu_pp_art_escape_van_undecided_desc",
		plan = "escape_plan",
		category = "escape_plan",
		pos_not_important = true,
		icon = 54,
		total = 1,
		cost = 0,
		budget_cost = 0,
		post_event = "gus_preplan_12",
		prio = 3
	}
	self.types.art_escape_van_loc01 = {
		name_id = "menu_pp_art_escape_van_loc01",
		desc_id = "menu_pp_art_escape_van_loc01_desc",
		plan = "escape_plan",
		category = "escape_plan",
		icon = 54,
		total = 1,
		cost = 0,
		budget_cost = 0,
		post_event = "gus_preplan_12",
		prio = 3
	}
	self.types.art_escape_van_loc02 = {
		name_id = "menu_pp_art_escape_van_loc02",
		desc_id = "menu_pp_art_escape_van_loc02_desc",
		plan = "escape_plan",
		category = "escape_plan",
		icon = 54,
		total = 1,
		cost = 0,
		budget_cost = 0,
		post_event = "gus_preplan_12",
		prio = 3
	}
	self.types.art_escape_van_loc03 = {
		name_id = "menu_pp_art_escape_van_loc03",
		desc_id = "menu_pp_art_escape_van_loc03_desc",
		plan = "escape_plan",
		category = "escape_plan",
		icon = 54,
		total = 1,
		cost = 0,
		budget_cost = 0,
		post_event = "gus_preplan_12",
		prio = 3
	}
	self.types.art_timer_hack = {
		name_id = "menu_pp_art_timer_hack",
		desc_id = "menu_pp_art_timer_hack_desc",
		category = "data_hacking",
		icon = 42,
		total = 1,
		cost = 15000,
		budget_cost = 6,
		post_event = "gus_preplan_16",
		prio = 1
	}
	self.types.art_laser_hack = {
		name_id = "menu_pp_art_laser_hack",
		desc_id = "menu_pp_art_laser_hack_desc",
		category = "data_hacking",
		icon = 42,
		total = 1,
		cost = 15000,
		budget_cost = 2,
		post_event = "gus_preplan_16",
		prio = 1
	}
end